# This file was automatically generated by Dist::Zilla::Plugin::ModuleBuild v6.009.
use strict;
use warnings;

# inserted by Dist::Zilla::Plugin::CheckLib 0.006
use Devel::CheckLib;
check_lib_or_exit(
    header => 'cyassl/ctaocrypt/hc128.h',
    lib => 'cyassl',
);

use Module::Build 0.28;


my %module_build_args = (
  "build_requires" => {
    "Module::Build" => "0.28"
  },
  "configure_requires" => {
    "Devel::CheckLib" => "0.9",
    "ExtUtils::MakeMaker" => "6.3",
    "Module::Build" => "0.28"
  },
  "dist_abstract" => "Perl extension module for the HC-128 stream cipher based on wolfssl  ",
  "dist_author" => [
    "Li ZHOU <lzh\@cpan.org>"
  ],
  "dist_name" => "Crypt-HC128",
  "dist_version" => "0.0.2",
  "license" => "perl",
  "module_name" => "Crypt::HC128",
  "recursive_test_files" => 1,
  "requires" => {
    "DynaLoader" => 0,
    "Exporter" => 0,
    "base" => 0,
    "strict" => 0,
    "vars" => 0
  },
  "test_requires" => {
    "ExtUtils::MakeMaker" => "6.3",
    "File::Spec" => 0,
    "IO::Handle" => 0,
    "IPC::Open3" => 0,
    "Pod::Coverage::TrustPod" => 0,
    "Test" => 0,
    "Test::CPAN::Meta" => 0,
    "Test::CheckDeps" => "0.010",
    "Test::More" => "0.94",
    "Test::Pod::Coverage" => 0,
    "blib" => "1.01",
    "perl" => "5.006",
    "warnings" => 0
  }
);


my %fallback_build_requires = (
  "ExtUtils::MakeMaker" => "6.3",
  "File::Spec" => 0,
  "IO::Handle" => 0,
  "IPC::Open3" => 0,
  "Module::Build" => "0.28",
  "Pod::Coverage::TrustPod" => 0,
  "Test" => 0,
  "Test::CPAN::Meta" => 0,
  "Test::CheckDeps" => "0.010",
  "Test::More" => "0.94",
  "Test::Pod::Coverage" => 0,
  "blib" => "1.01",
  "perl" => "5.006",
  "warnings" => 0
);


unless ( eval { Module::Build->VERSION(0.4004) } ) {
  delete $module_build_args{test_requires};
  $module_build_args{build_requires} = \%fallback_build_requires;
}

my $build = Module::Build->new(%module_build_args);


$build->create_build_script;